### Method

# Json ObjectIter init

since: 1.2

#### Declaration [src]

    void
    json_object_iter_init (
      JsonObjectIter* iter,
      JsonObject* object
    )

#### Description [src]

Initialises the `iter` and associate it with `object`.

    JsonObjectIter iter;
    const gchar *member_name;
    JsonNode *member_node;

    json_object_iter_init (&iter, some_object);
    while (json_object_iter_next (&iter, &member_name, &member_node))
      {
        // Do something with @member_name and @member_node.
      }

The iterator initialized with this function will iterate the members of the object in an undefined order.

See also: `json_object_iter_init_ordered()`.

Available since: 1.2

#### Parameters

`object`

  Type: `JsonObject`

  The JSON object to iterate over.

  The data is owned by the caller of the method.